Subject: [tcpm] rto-consider: retransmission vs vs loss detection

From: "Mark Allman" <[email-masked]>
Date: Fri, 22 Nov 2019 12:55:56 -0500

I-D>> Retransmissions triggered by the RTO mechanism MUST be taken
I-D>> as indications of network congestion and the sending rate
I-D>> adapted using a standard mechanism (e.g., TCP collapses the
I-D>> congestion window to one segment [RFC5681]).

Gorry> - Is this the retransmissions, or a time-out of the RTO?  (in
Gorry>   CC guidelines this described as a lack of response that
Gorry>   needs to be handled in this way).

Good catch.  I hacked the point to be in line with your suggestion.
I now have it as:

    (4) Loss detected by the RTO mechanism MUST be taken as an
        indication of network congestion and the sending rate adapted
        using a standard mechanism (e.g., TCP collapses the congestion
        window to one segment [RFC5681]).

Let me know if I need to do more work here.

allman